### Signal

# Panel Dock::create-frame

since: 1.2

#### Declaration

    PanelFrame*
    create_frame (
      PanelDock* self,
      PanelPosition* position,
      gpointer user_data
    )

#### Description [src]

This signal is emitted when a new frame is needed.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 1.2

#### Parameters

`position`

  Type: `PanelPosition`

  The position for the frame.

  The data is owned by the caller of the function.

#### Return value

Type: `PanelFrame`

A `PanelFrame`.

The caller of the function takes ownership of the data, and is responsible for freeing it.